<?php

namespace Drp\NativeEventApp\Models;

use Illuminate\Database\Eloquent\Relations\BelongsTo;

class AgendaItem extends Model
{
    /** @var string  */
    protected $table = 'agenda_items';

    /** @var bool */
    public $timestamps = false;

    public function agenda(): BelongsTo
    {
        return $this->belongsTo(Agenda::class, 'agendaId');
    }

    public function location(): BelongsTo
    {
        return $this->belongsTo(Location::class, 'locationId');
    }
}
