<?php

namespace Drp\NativeEventApp\Quiz\Contracts;

use Drp\NativeEventApp\Models\Quiz;
use Drp\NativeEventApp\Models\QuizQuestion;

interface QuizOperator
{
    public function create(Quiz $quiz): void;

    public function start(Quiz $quiz): void;

    public function end(Quiz $quiz): void;

    public function delete(Quiz $quiz): void;

    public function startQuestion(Quiz $quiz, QuizQuestion $question): void;

    public function endQuestion(Quiz $quiz, QuizQuestion $question): void;

    public function revealAnswer(Quiz $quiz, QuizQuestion $question): void;
}
