<?php

use Drp\NativeEventApp\Migrations\TableMigration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateNavigatableItemsTable extends TableMigration
{
    public function tableName(): string
    {
        return 'navigatable_items';
    }

    public function up(): void
    {
        Schema::create($this->tableName(), static function (Blueprint $table): void {
            $table->bigIncrements('id');
            $table->string('icon');
            $table->string('text');
            $table->morphs('destination');
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists($this->tableName());
    }
}
