<?php

namespace Drp\NativeEventApp\Auth;

use Jenssegers\Agent\Agent;

class UserAgent implements \Drp\NativeEventApp\Contracts\UserAgent
{
    public function __construct(Agent $agent)
    {
        $this->agent = $agent;
    }

    public function isDesktop(): bool
    {
        return $this->agent->isDesktop();
    }
}
