<?php

namespace Drp\NativeEventApp\Models\Concerns;

use Drp\NativeEventApp\Models\Styles;
use Illuminate\Database\Eloquent\Relations\MorphMany;

trait HasStyles
{
    public function styles(): MorphMany
    {
        return $this->morphMany(Styles::class, 'stylable');
    }

    public function addStyles(array $styles): Styles
    {
        return $this->styles()->create([
            'styles' => $styles,
        ]);
    }
}
