<?php

namespace Drp\NativeEventApp\Test\Unit\Modules;

use Drp\NativeEventApp\Facades\ModulesUnSerializer;
use Drp\NativeEventApp\Modules\Types\QRScanner;
use Drp\NativeEventApp\Test\TestCase;

class QRScannerTest extends TestCase
{
    /** @test */
    public function is_serializable(): void
    {
        $scanner = QRScanner::make();

        $serializedModule = json_encode([$scanner]);
        $module = ModulesUnSerializer::getModulesFromString($serializedModule)->first();

        $this->assertInstanceOf(QRScanner::class, $module);
    }
}
